<!--
  Generated template for the AddRecruitmentPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-content>


    <ion-grid class="popup-check-out">
        <ion-row>
              <ion-col col-6>
                  <h2>Add Recrument</h2>
              </ion-col>
              <ion-col col-6 text-right>
                  <button  (click)="closeModal()">cancel</button>
                  <button class="submit" (click)="submit(data)">{{type}} Recruitment</button>
              </ion-col>
        </ion-row>
    </ion-grid>
    <ion-grid class="popup-check-text">

        <form [formGroup]="productForm" novalidate>


          <div *ngIf="!isEmpty">
          <ion-row>
              <ion-col col-6>
                  <h2>Title <span></span></h2>

                  <ion-select  formControlName="Gender"   [(ngModel)]="title" >
                      <ion-option  [value]="ti" *ngFor ="let ti of Title ">{{ti}}</ion-option>

                  </ion-select>
                  <div style="color: red; "*ngIf="productForm.controls['Gender'].hasError('required') && productForm.controls['Gender'].touched">* The field is required</div>
                  <div style="color: red; " *ngIf="productForm.controls['Gender'].hasError('pattern') && productForm.controls['Gender'].touched">* Only alphabets are allowed!</div>

              </ion-col>


              <ion-col col-12>
                  <h2>First name <span>*</span></h2>

                      <ion-item >
                          <ion-input  formControlName="Firstname"    [(ngModel)]="firstname" type="text" placeholder="First name" ></ion-input>
                      </ion-item>

              </ion-col>
              <div style="color: red; " *ngIf="productForm.controls['Firstname'].hasError('required') && productForm.controls['Firstname'].touched">* The field is required</div>
              <div style="color: red; " *ngIf="productForm.controls['Firstname'].hasError('pattern') && productForm.controls['Firstname'].touched">* Only alphabets are allowed!</div>

              <ion-col col-12>
                  <h2>Surname <span>*</span></h2>

                      <ion-item>
                          <ion-input  formControlName="Surname" [(ngModel)]="lastname"  type="text" placeholder="Surname" ></ion-input>
                      </ion-item>

              </ion-col>
              <div style="color: red; " *ngIf="productForm.controls['Surname'].hasError('required') && productForm.controls['Surname'].touched">* The field is required</div>
              <div style="color: red; " *ngIf="productForm.controls['Surname'].hasError('pattern') && productForm.controls['Surname'].touched">* Only alphabets are allowed!</div>


              <ion-col col-12>
                  <h2>Application Submission<span>*</span></h2>

                  <ion-item no-lines>
                      <ion-datetime   formControlName="applicationsubmission"  [(ngModel)]="data.applicationsubmission" displayFormat="MM/DD/YYYY"   placeholder="Application Submission"  min="2019" max="2050"  ></ion-datetime>
                 </ion-item>
              </ion-col>
              <div style="color: red; " *ngIf="productForm.controls['applicationsubmission'].hasError('required') && productForm.controls['applicationsubmission'].touched">* The field is required</div>
              <ion-col col-12>
                  <h2>Source <span>*</span></h2>

                  <ion-select  formControlName="source"   [(ngModel)]="data.source" >
                      <ion-option  [value]="ti" *ngFor ="let ti of Source ">{{ti}}</ion-option>

                  </ion-select>
                  <div style="color: red; "*ngIf="productForm.controls['source'].hasError('required') && productForm.controls['source'].touched">* The field is required</div>
                  <div style="color: red; " *ngIf="productForm.controls['source'].hasError('pattern') && productForm.controls['source'].touched">* Only alphabets are allowed!</div>

              </ion-col>
<br/>
<h2> Interviews </h2>


          </ion-row>
          <ion-row>
              <ion-col col-3>
                  <h2>first<span>*</span></h2>
                      <ion-item no-lines>
                           <ion-datetime   formControlName="interview1"  [(ngModel)]="data.interview1"   placeholder="First"  pickerFormat="MM/DD/YYYY" min="2019" max="2050"  ></ion-datetime>
                      </ion-item>
              </ion-col>
              <!-- <div class="error-box" *ngIf="productForm.controls['interview1'].hasError('required') && productForm.controls['interview1'].touched">* The field is required</div> -->
              <ion-col col-1 class="border-none"></ion-col>
              <ion-col col-3 class="none-e">
                  <h2>second <span></span></h2>
                  <ion-item no-lines>
                      <ion-datetime   formControlName="interview2"  [(ngModel)]="data.interview2"   placeholder="Second"  pickerFormat="MM/DD/YYYY" min="2019" max="2050" ></ion-datetime>
                 </ion-item>
              </ion-col>

              <ion-col col-1 class="border-none"></ion-col>
              <ion-col col-3 class="none-e">
                  <h2>third <span></span></h2>
                  <ion-item no-lines>
                      <ion-datetime   formControlName="interview3"  [(ngModel)]="data.interview3"   placeholder="Third"  pickerFormat="MM/DD/YYYY" min="2019" max="2050" ></ion-datetime>
                 </ion-item>
              </ion-col>
              <div class="error-box" *ngIf="productForm.controls['interview3'].hasError('required') && productForm.controls['interview3'].touched">* The field is required</div>
              <div class="error-box" *ngIf="productForm.controls['interview2'].hasError('required') && productForm.controls['interview2'].touched">* The field is required</div>
              <div class="error-box" *ngIf="productForm.controls['interview1'].hasError('required') && productForm.controls['interview1'].touched">* The field is required</div>
              <ion-col col-6>
                  <h2>Decision <span>*</span></h2>
                  <ion-select  formControlName="Gender"   [(ngModel)]="data.decision" >
                      <ion-option  [value]="ti" *ngFor ="let ti of decision ">{{ti}}</ion-option>
                  </ion-select>
                  <div style="color: red; "*ngIf="productForm.controls['decision'].hasError('required') && productForm.controls['decision'].touched">* The field is required</div>
                  <div style="color: red; " *ngIf="productForm.controls['decision'].hasError('pattern') && productForm.controls['decision'].touched">* Only alphabets are allowed!</div>
              </ion-col>
              <ion-col col-12 class="none-e">
                  <h2>On <span>*</span></h2>
                  <ion-item no-lines>
                      <ion-datetime   formControlName="decisiondate"  [(ngModel)]="data.decisiondate"  displayFormat="MM/DD/YYYY" placeholder="On"  pickerFormat="MM/DD/YYYY" min="2019" max="2050" ></ion-datetime>
                 </ion-item>
              </ion-col>
          </ion-row>
          </div>
         </form>
    </ion-grid>


    <!-- <ion-col  col-12 class="padding-check">

      <h2>Upload Documents</h2>
      <ion-item class="absolute-box">

      </ion-item>
      <div class="upload-documents">
        <div>
          <ion-icon name="md-cloud-upload"></ion-icon>
          <h6>Upload Documents</h6>
          <p>Maximum file size: 10MB</p>
        </div>
      </div>
      <p>Supported documents jpg, png, gif and pdf</p>
    </ion-col> -->



  </ion-content>
